Add Entity to Collection
curl --request POST \
--url https://api.replyke.com/api/v6/:projectId/api/v7/collections/:collectionId/entities \
--header 'Content-Type: application/json' \
--data '
{
"entityId": "<string>"
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/collections/:collectionId/entities"
payload = { "entityId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({entityId: '<string>'})
};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/collections/:collectionId/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"collection": {
"id": "<string>",
"entityCount": 123
}
}Collection Endpoints
Add Entity to Collection
Save an entity into a collection
POST
/
:projectId
/
api
/
v7
/
collections
/
:collectionId
/
entities
Add Entity to Collection
Saves an entity into the specified collection. This operation is idempotent — if the entity is already in the collection, it returns success without creating a duplicate.
Path Parameters
The ID of the collection to save the entity into.
Body Parameters
The ID of the entity to save.
Response
Always
true on success.Error Responses
Collection Not Found — 404
Collection Not Found — 404
{ "error": "Collection not found", "code": "collection/not-found" }
Entity Not Found — 404
Entity Not Found — 404
{ "error": "Entity not found", "code": "entity/not-found" }
Server Error — 500
Server Error — 500
{ "error": "Internal server error.", "code": "collection/server-error" }
⌘I

